XmLGridDeleteAllRows(3X)

NAME
XmLGridDeleteAllRows - delete all rows of a given type

SYNTAX
void XmLGridDeleteAllRows(widget, type)
Widget widget;
unsigned char type;

ARGUMENTS

widget
    Grid widget ID

type
    type of row

DESCRIPTION
Deletes all rows of the given type. The Grid will call its XmNdeleteCallback callbacks for each row and cell deleted. If possible, the focus will remain in the row which had focus prior to the deletion of rows. If the cell which has focus is in one of the rows deleted, the Grid's XmNcellFocusCallback callbacks will be called with a reason of XmCR_CELL_FOCUS_OUT before that row is deleted. If a cell in one of the rows is currently being edited, the Grid's XmNeditCallback callbacks will be called with a reason of XmCR_EDIT_CANCEL before that row is deleted.

SEE ALSO
XmLGrid(3X) XmLGridDeleteRows(3X) XmLGridDeleteAllColumns(3X)